ATMEL: device_mouse_task.h File Reference

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# device_mouse_task.h File Reference

`#include "config.h"`

Include dependency graph for device_mouse_task.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | device_mouse_task_init (void)
| This function initializes the hardware/software resources required for mouse task.
void | device_mouse_task (void)
| This function has no effect, but is called by scheduler.
void | sof_action (void)
| This function increments the SOF counter each times.

## Detailed Description

This file contains the function declarations - Compiler: IAR EWAVR and GNU GCC for AVR

- Supported devices: AT90USB1287, AT90USB1286, AT90USB647, AT90USB646
  Author:
    Atmel Corporation: http://www.atmel.com
    Support and FAQ: http://support.atmel.no/

Definition in file device_mouse_task.h.

## Function Documentation

void device_mouse_task_init | ( | void |  | ) |

This function initializes the hardware/software resources required for mouse task.

Definition at line 118 of file device_mouse_task.c.

References FALSE, g_b_send_ack_report, g_b_send_report, g_u16_pos_scroll, Hwb_button_init, init_adc(), Joy_init, Leds_init, TRUE, and Usb_enable_sof_interrupt.

    00119 {
    00120    // Init SOF
    00121    Usb_enable_sof_interrupt();
    00122
    00123    // Init interface board
    00124    Joy_init();
    00125    Leds_init();
    00126    Hwb_button_init();
    00127    init_adc();
    00128    g_u16_pos_scroll=Get_adc_pot_val();
    00129
    00130    // Send a ack report at startup
    00131    g_b_send_report      = FALSE;
    00132    g_b_send_ack_report  = TRUE;
    00133 }

Here is the call graph for this function:

void device_mouse_task | ( | void |  | ) |

This function has no effect, but is called by scheduler.

It is replaced by mouse_task_by_IT() that is interrupt handled

Definition at line 138 of file device_mouse_task.c.

References Is_usb_id_device, and Usb_enable_sof_interrupt.

    00139 {
    00140    if(Is_usb_id_device())
    00141    {
    00142       Usb_enable_sof_interrupt();   // In case of interrupt disabled when USB ID pin change
    00143    }
    00144 }